## x2goserver 4.1.0.2

=== x2goserver-xsession/Makefile ===
#!/usr/bin/make -f

SRC_DIR=$(CURDIR)
SHELL=/bin/bash

INSTALL_DIR=install -d -o root -g root -m 755
INSTALL_FILE=install -o root -g root -m 644
INSTALL_SYMLINK=ln -s -f
INSTALL_PROGRAM=install -o root -g root -m 755

RM_FILE=rm -f
RM_DIR=rmdir -p --ignore-fail-on-non-empty

DESTDIR ?=
PREFIX ?= /usr/local
ETCDIR=/etc/x2go
BINDIR=$(PREFIX)/bin
SBINDIR=$(PREFIX)/sbin
LIBDIR=$(PREFIX)/lib/x2go
MANDIR=$(PREFIX)/share/man
SHAREDIR=$(PREFIX)/share/x2go

XSESSIONDIR ?= /etc/X11/Xsession.d
XSESSIONOPTIONFILE ?= /etc/X11/Xsession.options
XINITRCDIR ?= /etc/X11/xinit/xinitrc.d
XCLIENTSDIR ?= /etc/X11/xinit/Xclients.d

ETC_FILES=$(shell cd etc && echo *)
FEATURE_SCRIPTS=$(shell cd share/x2gofeature.d && echo *.features)

all: clean build

build: build-arch build-indep

build-arch:

build-indep: build_man2html

build_man2html:

clean: clean_man2html

clean_man2html:

install: install_scripts install_config install_man install_version

install_scripts:
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)/x2gofeature.d
	$(INSTALL_PROGRAM) share/x2gofeature.d/*.features $(DESTDIR)$(SHAREDIR)/x2gofeature.d/

install_config:
	$(INSTALL_DIR) $(DESTDIR)$(ETCDIR)
#       provide target dirs for X11 related symlinks
	$(INSTALL_PROGRAM) etc/Xsession                 $(DESTDIR)$(ETCDIR)/
	$(INSTALL_SYMLINK) /etc/X11/Xresources          $(DESTDIR)$(ETCDIR)/
	if [ -e /etc/debian_version ]; then if [ -e $(XSESSIONOPTIONFILE) ]; then $(INSTALL_SYMLINK) $(XSESSIONOPTIONFILE) $(DESTDIR)$(ETCDIR)/Xsession.options; else touch $(DESTDIR)$(ETCDIR)/Xsession.options; fi; fi
	if [ -e /etc/debian_version ]; then if [ -d $(XSESSIONDIR) ]; then $(INSTALL_SYMLINK) $(XSESSIONDIR) $(DESTDIR)$(ETCDIR)/Xsession.d; else $(INSTALL_DIR) $(DESTDIR)$(ETCDIR)/Xsession.d; fi; fi
	if [ -e /etc/redhat-release ] || [ -e /etc/gentoo-release ]; then if [ -d $(XINITRCDIR) ]; then $(INSTALL_SYMLINK) $(XINITRCDIR) $(DESTDIR)$(ETCDIR)/xinitrc.d; else $(INSTALL_DIR) $(DESTDIR)$(ETCDIR)/xinitrc.d; fi; fi
	if [ -e /etc/redhat-release ] || [ -e /etc/gentoo-release ]; then if [ -d $(XCLIENTSDIR) ]; then $(INSTALL_SYMLINK) $(XCLIENTSDIR) $(DESTDIR)$(ETCDIR)/Xclients.d; else $(INSTALL_DIR) $(DESTDIR)$(ETCDIR)/Xclients.d; fi; fi
	if [ -e /etc/os-release ] && cat /etc/os-release | grep "suse" 1>/dev/null || [ -d /usr/share/doc/packages/brp-check-suse ]; then if [ -d $(XINITRCDIR) ]; then $(INSTALL_SYMLINK) $(XINITRCDIR) $(DESTDIR)$(ETCDIR)/xinitrc.d; else $(INSTALL_DIR) $(DESTDIR)$(ETCDIR)/xinitrc.d; fi; fi

install_man:

install_version:
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)/versions
	$(INSTALL_FILE) VERSION.x2goserver-xsession     $(DESTDIR)$(SHAREDIR)/versions/VERSION.x2goserver-xsession

uninstall: uninstall_scripts uninstall_config uninstall_man uninstall_version

uninstall_scripts:
	for file in $(FEATURE_SCRIPTS); do $(RM_FILE) $(DESTDIR)$(SHAREDIR)/x2gofeature.d/$$file; done

uninstall_config:
	for file in $(ETC_FILES); do $(RM_FILE) $(DESTDIR)$(ETCDIR)/$$file; done
	$(RM_FILE) $(DESTDIR)$(ETCDIR)/Xresources
	$(RM_FILE) $(DESTDIR)$(ETCDIR)/Xsession.options
	$(RM_FILE) $(DESTDIR)$(ETCDIR)/Xsession.d
	$(RM_FILE) $(DESTDIR)$(ETCDIR)/xinitrc.d
	$(RM_FILE) $(DESTDIR)$(ETCDIR)/Xclients.d

uninstall_man:

uninstall_version:
	$(RM_FILE) $(DESTDIR)$(SHAREDIR)/versions/VERSION.x2goserver-xsession
	$(RM_DIR)  $(DESTDIR)$(SHAREDIR)/versions || true

=== debian/changelog ===
x2goserver (4.1.0.2-2) unstable; urgency=medium

  * debian/control:
    + ML change for Maintainer: team: debian-remote@lists.debian.org.
  * debian/po:
    + Add French translation. Thanks to Jean-Pierre Giraud. (Closes: #905931).
  * debian/x2goserver-xsession.<scripts>:
    + Add dir_to_symlink for /etc/x2go/Xsession.d. Some old upstream packaged
      x2goserver-xsession versions had that as a directory. We want it being a
      symlink to /etc/X11/Xsession.d these days.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 21 Aug 2018 19:04:17 +0200

x2goserver (4.1.0.2-1) unstable; urgency=medium

  [ Mihai Moldovan ]
  * debian/control:
    + Add build dependency on x11-common for /etc/X11/Xsession* to be available
      in the build environment and the symlinks to be created correctly.

  [ Mike Gabriel ]
  * New upstream release.
  * debian/copyright:
    + Regenerate auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/*.<script>
    +  Sync in from upstream .deb packaging after thoroughful review. This
       should also ease the upgrade path from upstream .deb packages to
       Debian packages.
    + Adapt over-quoted scripts so that lintian does not complain with
      false-positives.
    + Avoid recursive chown/chmod. Thanks lintian.
  * debian/x2goserver-common.install:
    + Slight path fix adopted from upstream packaging.
  * debian/*.dirs:
     + Drop unrequired .dirs debhelper files.
  * debian/x2goserver-printing.dirs:
     + Spool dir has been moved from /var/lib/x2goprint to /var/spool/x2goprint.
  * debian/rules:
     + Drop some pre-dh_install hacks not required anymore since this upstream
       release.
  * debian/control:
    + White-space / indentation / capitalization adaptations in
      LONG_DESCRIPTIONs.
    + Adapt some package relations from upstream packaging in order to make the
      upgrade path from upstream .deb packages to Debian packages more smooth.
    + Fix Vcs-*: URLs to calm lintian.
    + Move xfonts-base back from D to R. Thanks lintian.
  * debian/x2goserver-x2goagent.install:
    + Adapt to new XPM icon name.
  * debian/upstream/metadata:
    + Add file. Be compliant with DEP-12.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 14 Aug 2018 15:39:50 +0200

x2goserver (4.1.0.0-5) unstable; urgency=medium

  * debian/libx2go-server-db-perl.postrm:
    + Don't remove files when purging that actually belong to x2goserver-common.
      (Closes: #904519).
    + Drop file entirely.
  * debian/x2goserver.postinst:
    + When testing for existence of /etc/x2go/applications, also consider it
      being a dangling symlink (dangling symlinks are not caught by 'test -e',
      but need a 'test -L'. Thanks to Andreas Beckmann for helping with this.
      (Closes: #904515).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 26 Jul 2018 14:36:16 +0200

x2goserver (4.1.0.0-4) unstable; urgency=medium

  * debian/control:
    + Multiarch hinter script recommends annotating perl dependency with :any.
    + Move X2Go::Config into new bin:pkg to avoid circular dependency. Let all
      libx2go-*-perl bin:pkgs correctly depend on this new libx2go-config-perl
      bin:pkg. (Closes: #896504).
    + Move X2Go::Utils into its own bin:pkg to avoid circular dependencies. Let
      all other libx2go-*-perl bin:pkgs correctly depend on this new
      libx2go-utils-perl bin:pkg. (Closes: #896503).
    + Bump Standards-Version: to 4.1.4. No changes needed.
    + Let Vcs-*: fields point to salsa.debian.org.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 24 Apr 2018 10:08:54 +0200

=== debian/control ===
Source: x2goserver
Section: x11
Priority: optional
Maintainer: Debian Remote Maintainers <debian-remote@lists.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
 Mihai Moldovan <ionic@ionic.de>,
Build-Depends:
 debhelper (>= 11~),
 dpkg-dev (>= 1.16.1.1),
 man2html-base,
# Needed for /etc/X11/Xsession.d
 x11-common,
Standards-Version: 4.1.4
Homepage: http://wiki.x2go.org
Vcs-Git: https://salsa.debian.org/debian-remote-team/x2goserver.git
Vcs-Browser: https://salsa.debian.org/debian-remote-team/x2goserver/

Package: x2goserver
Architecture: any
Depends:
 bc,
 libfile-basedir-perl,
 libfile-which-perl,
 libswitch-perl,
 libtry-tiny-perl,
 libx2go-server-perl (<< ${source:Version}.1~),
 libx2go-server-perl (>= ${source:Version}),
 lsb-base,
 lsof,
 net-tools,
 openssh-client,
 openssh-server,
 perl,
 psmisc,
 pwgen,
 x2goserver-common (<< ${source:Version}.1~),
 x2goserver-common (>= ${source:Version}),
 x2goserver-x2goagent (<< ${source:Version}.1~),
 x2goserver-x2goagent (>= ${source:Version}),
 xauth,
 xkb-data,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 fontconfig,
 sshfs,
 x11-apps,
 x11-session-utils,
 x11-utils,
 x11-xfs-utils,
 x11-xkb-utils,
 x11-xserver-utils,
 x2goserver-extensions (<< ${source:Version}.1~),
 x2goserver-extensions (>= ${source:Version}),
 x2goserver-fmbindings (<< ${source:Version}.1~),
 x2goserver-fmbindings (>= ${source:Version}),
 x2goserver-printing (<< ${source:Version}.1~),
 x2goserver-printing (>= ${source:Version}),
 x2goserver-xsession (<< ${source:Version}.1~),
 x2goserver-xsession (>= ${source:Version}),
 xfonts-base,
 xinit,
Suggests:
 pulseaudio-utils,
 rdesktop,
Breaks:
 x2godesktopsharing (<< 3.1.1.2-0~),
 x2goserver-compat (<< 4.0.1.99~),
 x2goserver-home,
 x2goserver-one,
 x2goserver-pyhoca (<< 4.0.1.99~),
Replaces:
 x2goserver-compat,
 x2goserver-home,
 x2goserver-one,
 x2goserver-pyhoca,
Description: X2Go Server
 X2Go is a server based computing environment with
   - session resuming
   - low bandwidth support
   - session brokerage support
   - client-side mass storage mounting support
   - client-side printing support
   - audio support
   - authentication by smartcard and USB stick
 .
 This package contains the main daemon and tools for X2Go server-side
 session administrations.

Package: libx2go-config-perl
Architecture: all
Section: perl
Depends:
 x2goserver-common (<< ${source:Version}.1~),
 x2goserver-common (>= ${source:Version}),
 ${misc:Depends},
 ${perl:Depends},
Breaks: libx2go-server-perl (<< 4.1.0.0-4~),
Replaces: libx2go-server-perl (<< 4.1.0.0-4~),
Description: Perl X2Go::Config package
 X2Go is a server based computing environment with
   - session resuming
   - low bandwidth support
   - session brokerage support
   - client-side mass storage mounting support
   - client-side printing support
   - audio support
   - authentication by smartcard and USB stick
 .
 This package contains the X2Go::Config Perl package.

Package: libx2go-log-perl
Architecture: all
Section: perl
Depends:
 x2goserver-common (<< ${source:Version}.1~),
 x2goserver-common (>= ${source:Version}),
 libx2go-config-perl (<< ${source:Version}.1~),
 libx2go-config-perl (>= ${source:Version}),
 ${misc:Depends},
 ${perl:Depends},
Description: Perl X2Go::Log package
 X2Go is a server based computing environment with
   - session resuming
   - low bandwidth support
   - session brokerage support
   - client-side mass storage mounting support
   - client-side printing support
   - audio support
   - authentication by smartcard and USB stick
 .
 This package contains the X2Go::Log Perl package.

Package: libx2go-utils-perl
Architecture: all
Section: perl
Depends:
 x2goserver-common (<< ${source:Version}.1~),
 x2goserver-common (>= ${source:Version}),
 ${misc:Depends},
 ${perl:Depends},
Breaks: libx2go-server-perl (<< 4.1.0.0-4~),
Replaces: libx2go-server-perl (<< 4.1.0.0-4~),
Description: Perl X2Go::Utils package
 X2Go is a server based computing environment with
   - session resuming
   - low bandwidth support
   - session brokerage support
   - client-side mass storage mounting support
   - client-side printing support
   - audio support
   - authentication by smartcard and USB stick
 .
 This package contains the X2Go::Utils Perl package.

Package: libx2go-server-db-perl
Architecture: any
Section: perl
Depends:
 libconfig-simple-perl,
 libdbd-pg-perl [!armhf],
 libdbd-sqlite3-perl,
# libdbd-mysql-perl,
 libx2go-config-perl (<< ${source:Version}.1~),
 libx2go-config-perl (>= ${source:Version}),
 libx2go-log-perl (<< ${source:Version}.1~),
 libx2go-log-perl (>= ${source:Version}),
 libx2go-utils-perl (<< ${source:Version}.1~),
 libx2go-utils-perl (>= ${source:Version}),
 x2goserver-common (<< ${source:Version}.1~),
 x2goserver-common (>= ${source:Version}),
 ${misc:Depends},
 ${perl:Depends},
 ${shlibs:Depends},
Breaks:
 x2goserver (<< 4.1.0.0-0~),
Replaces:
 x2goserver (<< 4.1.0.0-0~),
Description: Perl X2Go::Server:DB package
 X2Go is a server based computing environment with
   - session resuming
   - low bandwidth support
   - session brokerage support
   - client-side mass storage mounting support
   - client-side printing support
   - audio support
   - authentication by smartcard and USB stick
 .
 This package contains the X2Go::Server::DB Perl package.

Package: libx2go-server-perl
Architecture: all
Section: perl
Depends:
 libcapture-tiny-perl,
 libconfig-simple-perl,
 libx2go-log-perl (<< ${source:Version}.1~),
 libx2go-log-perl (>= ${source:Version}),
 libx2go-server-db-perl (<< ${source:Version}.1~),
 libx2go-server-db-perl (>= ${source:Version}),
 libx2go-utils-perl (<< ${source:Version}.1~),
 libx2go-utils-perl (>= ${source:Version}),
 x2goserver-common (<< ${source:Version}.1~),
 x2goserver-common (>= ${source:Version}),
 ${misc:Depends},
 ${perl:Depends},
Description: Perl X2Go::Server package
 X2Go is a server based computing environment with
   - session resuming
   - low bandwidth support
   - session brokerage support
   - client-side mass storage mounting support
   - client-side printing support
   - audio support
   - authentication by smartcard and USB stick
 .
 This package contains the X2Go::Server Perl package.

Package: x2goserver-common
Architecture: any
Depends:
 adduser,
 ${misc:Depends},
Breaks:
 x2goserver (<< 4.1.0.0-0~),
Replaces:
 x2goserver (<< 4.1.0.0-0~),
Description: X2Go Server (common files)
 X2Go is a server based computing environment with
   - session resuming
   - low bandwidth support
   - session brokerage support
   - client-side mass storage mounting support
   - client-side printing support
   - audio support
   - authentication by smartcard and USB stick
 .
 This package contains common files needed by the X2Go Server
 and the X2Go::Server Perl API.

Package: x2goserver-extensions
Architecture: all
Depends:
 x11-xkb-utils,
 x2goserver (<< ${source:Version}.1~),
 x2goserver (>= ${source:Version}),
 ${misc:Depends},
Description: X2Go Server (extension support)
 X2Go is a server based computing environment with
   - session resuming
   - low bandwidth support
   - session brokerage support
   - client-side mass storage mounting support
   - client-side printing support
   - audio support
   - authentication by smartcard and USB stick
 .
 The X2Go Server extension namespace offers contributors to add script
 functionality to X2Go that is not needed/ignored by the legacy X2Go
 client (x2goclient).

Package: x2goserver-fmbindings
Architecture: all
Depends:
 desktop-file-utils,
 x2goserver (<< ${source:Version}.1~),
 x2goserver (>= ${source:Version}),
 xdg-utils,
 ${misc:Depends},
Description: X2Go Server (file manager bindings)
 X2Go is a server based computing environment with
   - session resuming
   - low bandwidth support
   - session brokerage support
   - client-side mass storage mounting support
   - client-side printing support
   - audio support
   - authentication by smartcard and USB stick
 .
 x2goserver-fmbindings contains generic MIME type information for X2Go's
 local folder sharing. It can be used with all freedesktop.org compliant
 desktop shells.
 .
 However, this package will be superseded by other, more specific destkop
 binding components, if installed and being used with the corresponding
 desktop shell:
 .
   - under LXDE by x2golxdebindings
   - under GNOMEv2 by x2gognomebindings
   - under MATE by x2gomatebindings
   - under KDE4/5 by plasma-widget-x2go

Package: x2goserver-printing
Architecture: all
Depends:
 adduser,
 x2goserver (<< ${source:Version}.1~),
 x2goserver (>= ${source:Version}),
 ${misc:Depends},
Breaks:
 x2goprint,
Replaces:
 x2goprint,
Suggests:
 cups-x2go,
Description: X2Go Server (printing support)
 X2Go is a server based computing environment with
   - session resuming
   - low bandwidth support
   - session brokerage support
   - client-side mass storage mounting support
   - client-side printing support
   - audio support
   - authentication by smartcard and USB stick
 .
 The X2Go Server printing package provides client-side printing support
 for X2Go.
 .
 This package has to be installed on X2Go Servers that shall be able to
 pass X2Go print jobs on to the X2Go client.
 .
 This package co-operates with the cups-x2go CUPS backend. If CUPS server
 and X2Go Server are hosted on different machines, then make sure you
 install this package on the X2Go Server/s (and the cups-x2go package on
 the CUPS server).

Package: x2goserver-x2goagent
Architecture: any
Depends:
 nxagent (>= 2:3.5.99.13~),
 ${misc:Depends},
Suggests:
 x2goserver,
Breaks:
 x2goagent (<< 2:3.5.99.2~),
 x2goserver (<< 4.0.1.99~),
Replaces:
 x2goagent (<< 2:3.5.99.2~),
 x2goserver (<< 4.0.1.99~),
Description: X2Go Server's X2Go Agent
 X2Go is a software suite that uses NX technology for remote desktop
 computing.
 .
 NX technology implements a very efficient compression of the X11
 protocol. This increases performance when using X applications over a
 network, especially a slow one.
 .
 X2Go Agent functionality has been completely incorporated into NX
 agent's code base. If the nxagent binary is executed under the name of
 `x2goagent', the X2Go functionalities get activated.
 .
 This package is a wrapper that activates X2Go branding in nxagent.
 Please refer to the nxagent package's description for more information
 on NX.

Package: x2goserver-xsession
Architecture: all
Depends:
 dbus,
 perl:any,
 x11-common,
 x2goserver (<< ${source:Version}.1~),
 x2goserver (>= ${source:Version}),
 ${misc:Depends},
Description: X2Go Server (Xsession runner)
 X2Go is a server based computing environment with
   - session resuming
   - low bandwidth support
   - session brokerage support
   - client-side mass storage mounting support
   - client-side printing support
   - audio support
   - authentication by smartcard and USB stick
 .
 This X2Go Server add-on enables Xsession script handling when starting
 desktop sessions with X2Go.
 .
 Amongst others the parsing of Xsession scripts will enable
 desktop-profiles, ssh-agent startups, gpgagent startups and many more
 Xsession related features on X2Go session login automagically.

=== debian/rules ===
#!/usr/bin/make -f

export NXLIBDIR="/usr/lib/$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)/nx"

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	PREFIX=/usr NXLIBDIR=$(NXLIBDIR) dh ${@} --with=systemd || PREFIX=/usr NXLIBDIR=$(NXLIBDIR) dh ${@}

override_dh_auto_build:
	PREFIX=/usr NXLIBDIR=$(NXLIBDIR) PERL_INSTALLDIRS=vendor dh_auto_build

override_dh_auto_install:
	$(MAKE) -f Makefile build-arch
	PREFIX=/usr NXLIBDIR=$(NXLIBDIR) dh_auto_install

override_dh_install:

	dh_install

	# FIXME: upstream has some X2Go scripts in their tarball that are not executable
	# During binary-all builds, the below directory is non-existent, so ignoring
	# any sorts of failures here.
	-chmod a+x debian/x2goserver/usr/lib/x2go/*

	# on arch: all-only,source builds, the x2goserver-x2goagent.features file is non-present.
	# so let's handle this gracefully...
	if [ -e debian/x2goserver-x2goagent/usr/share/x2go/x2gofeature.d/x2goserver-x2goagent.features ]; then \
	    chmod 0755 debian/x2goserver-x2goagent/usr/share/x2go/x2gofeature.d/x2goserver-x2goagent.features; \
	fi

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_clean:
	rm -Rfv x2goserver/.build_html
	rm -Rfv x2goserver-extensions/.build_html
	rm -f MYMETA.yml
	rm -f Makefile.perl.old
	PREFIX=/usr NXLIBDIR=$(NXLIBDIR) dh_auto_clean
	rm -f Makefile.perl

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..
